Package com.complexible.common.pool

# Class DefaultPoolableObjectFactory

java.lang.Object
com.complexible.common.pool.DefaultPoolableObjectFactory

All Implemented Interfaces:
  `org.apache.commons.pool.PoolableObjectFactory`

public class DefaultPoolableObjectFactory extends Object implements org.apache.commons.pool.PoolableObjectFactory

Provides a simple implementation of a PoolableObjectFactory that can be used with `ApachePoolConfig`.

Since:
  0.6.5
Version:
  0.6.5
Author:
  Michael Grove

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPoolableObjectFactory(Class theClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `activateObject(Object o)`
  `void`
  `destroyObject(Object o)`
  `Object`
  `makeObject()`
  `final void`
  `passivateObject(Object o)`
  `boolean`
  `validateObject(Object o)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultPoolableObjectFactory

    public DefaultPoolableObjectFactory(Class theClass)

- ## Method Details

  - ### makeObject

    public Object makeObject() throws Exception
    Specified by:
      `makeObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
    Throws:
      `Exception`

  - ### destroyObject

    public void destroyObject(Object o) throws Exception
    Specified by:
      `destroyObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
    Throws:
      `Exception`

  - ### validateObject

    public boolean validateObject(Object o)
    Specified by:
      `validateObject` in interface `org.apache.commons.pool.PoolableObjectFactory`

  - ### activateObject

    public final void activateObject(Object o) throws Exception
    Specified by:
      `activateObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
    Throws:
      `Exception`

  - ### passivateObject

    public final void passivateObject(Object o) throws Exception
    Specified by:
      `passivateObject` in interface `org.apache.commons.pool.PoolableObjectFactory`
    Throws:
      `Exception`